use dioxus::prelude::*;
use crate::components::stream_title::*;
use crate::components::stream_sidebar::*;
use crate::components::stream_topbar::*;
use crate::components::stream_content::*;

pub fn BasePage(cx: Scope) -> Element {
    cx.render(rsx!{
        div { class: "min-w-max min-h-screen bg-alice-werefox-grey-dark",
            div { class: "relative w-1920 h-1080 p-4 ring-[1px] ring-pink-300",
                div { class: "flex flex-col space-y-4",
                    StreamTitle {},
                    StreamSidebar {},
                    StreamTopbar {},
                    StreamContent {}
                }
            }
        }
    })
}